package com.altimetrik.ee.demo.service.impl;

import java.util.Arrays;
import java.util.List;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.altimetrik.ee.demo.bean.StockBean;
import com.altimetrik.ee.demo.entity.Stock;
import com.altimetrik.ee.demo.repository.StockDetailsRepository;
import com.altimetrik.ee.demo.service.StockDetailsService;

@Service
public class StockDetailsServiceImpl implements StockDetailsService {

	protected static Logger logger = LoggerFactory.getLogger(StockDetailsServiceImpl.class.getName());

	@Value("${spring.application.name}")
	private String applicationName;

	@Autowired
	private StockDetailsRepository detailsRepository;

	@Override
	public List<Stock> getStockQuotes(String quotesCSV) {
		
		return detailsRepository.findByStockQuoteIn(Arrays.asList(quotesCSV.split(",")));
		
	}

	@Override
	public Stock save(StockBean bean) {
		Stock obj = new Stock();
		obj.setCompanyName(bean.getCompanyName());
		obj.setCurrency(bean.getCurrency());
		obj.setDate(bean.getDate());
		obj.setPrice(bean.getPrice());
		detailsRepository.save(obj);
		
		return obj;
	}

	@Override
	public String delete(String id) {
		detailsRepository.deleteById(Long.parseLong(id));
		return "Record Deleted";
	}

	

}
